package com.fs.watch.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 每天设备信息汇总对象 watch_device_day
 *
 * @author fs
 * @date 2025-04-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WatchDeviceDay extends BaseEntity{

    /** $column.columnComment */
    private Long id;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String deviceId;

    /** 睡眠状态 */
    @Excel(name = "睡眠状态")
    private Integer sleepStatus;

    @Excel(name = "睡眠评分")
    private Integer sleepScore;

    /** 睡眠状态 */
    private String sleepDetail;

    /** 房颤状态 */
    @Excel(name = "房颤状态")
    private String rriStatus;

    /** 步数总和 */
    @Excel(name = "步数总和")
    private Long stepTotal;

    /** 卡路里总和 */
    @Excel(name = "卡路里总和")
    private Long calorieTotal;


}
