package com.fs.watch.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.Objects;
import java.util.stream.Stream;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum WatchStepStatusEnum implements HealthStatusEnum{

    NORMAL(1,"正常",
            null,
            null,
            null,
            null),
    LOW(2,"活动量过低",
            "您本周活动量持续偏低，提示肥胖、骨质疏松、心血管疾病等风险较高。",
            "活动不足是指体力活动低于推荐量，是多种慢性病的独立危险因素。",
            "从短距离步行开始，逐步增加至每日6000步。长期久坐者需评估心血管风险。",
            "设置每小时站立活动提醒；看电视时做踮脚运动"
            ),
    HIGH(3,"活动量过度",
            "您本周活动量持续过高，提示关节损伤、过度疲劳等风险较高。",
            "过度运动可能超过身体承受能力，导致运动损伤和免疫功能抑制。",
            "增加休息时间，补充蛋白质和电解质。关节疼痛或尿色加深需排查横纹肌溶解",
            "运动后补水、补电解质；交替进行高低强度运动；运动前后要拉伸。");

    private Integer value;
    private String desc;
    private String prediction;
    //解析
    private String analysis;
    //治疗建议
    private String suggestion;
    //注意事项
    private String precautions;

    public static WatchStepStatusEnum toType(Integer value) {
        return Stream.of(WatchStepStatusEnum.values())
                .filter(p -> Objects.equals(p.value, value))
                .findAny()
                .orElse(null);
    }
}
