package com.fs.watch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.watch.domain.WatchCompanyUser;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * 用户绑定销售Mapper接口
 *
 * @author fs
 * @date 2025-05-14
 */
public interface WatchCompanyUserMapper extends BaseMapper<WatchCompanyUser>{
    /**
     * 查询用户绑定销售
     *
     * @param id 用户绑定销售主键
     * @return 用户绑定销售
     */
    WatchCompanyUser selectWatchCompanyUserById(Long id);

    /**
     * 查询用户绑定销售列表
     *
     * @param watchCompanyUser 用户绑定销售
     * @return 用户绑定销售集合
     */
    List<WatchCompanyUser> selectWatchCompanyUserList(WatchCompanyUser watchCompanyUser);

    /**
     * 新增用户绑定销售
     *
     * @param watchCompanyUser 用户绑定销售
     * @return 结果
     */
    int insertWatchCompanyUser(WatchCompanyUser watchCompanyUser);

    /**
     * 修改用户绑定销售
     *
     * @param watchCompanyUser 用户绑定销售
     * @return 结果
     */
    int updateWatchCompanyUser(WatchCompanyUser watchCompanyUser);

    /**
     * 删除用户绑定销售
     *
     * @param id 用户绑定销售主键
     * @return 结果
     */
    int deleteWatchCompanyUserById(Long id);

    /**
     * 批量删除用户绑定销售
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteWatchCompanyUserByIds(Long[] ids);

    void insertBatchWatchUserCompany(@Param("list") ArrayList<WatchCompanyUser> cuList);

    void deleteBatch(@Param("deviceId")Long deviceId, @Param("list")List<String> subCompanyUserList);
}
