package com.fs.watch.service.impl;

import com.fs.watch.domain.WatchBeginnerGuide;
import com.fs.watch.mapper.WatchBeginnerGuideMapper;
import com.fs.watch.service.WatchBeginnerGuideService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class WatchBeginnerGuideServiceImpl implements WatchBeginnerGuideService {
    @Autowired
    private WatchBeginnerGuideMapper mapper;

    /**
     * 查询新手引导
     *
     * @param id 新手引导主键
     * @return 新手引导
     */
    @Override
    public WatchBeginnerGuide selectWatchBeginnerGuideById(Long id)
    {

        return mapper.selectWatchBeginnerGuideById(id);
    }

    /**
     * 查询新手引导列表
     *
     * @param watchBeginnerGuide 新手引导
     * @return 新手引导
     */
    @Override
    public List<WatchBeginnerGuide> selectWatchBeginnerGuideList(WatchBeginnerGuide watchBeginnerGuide)
    {
        return mapper.selectWatchBeginnerGuideList(watchBeginnerGuide);
    }

    private Map<String, Object> getguideMap(WatchBeginnerGuide deviceBeginnerGuide) {
        Map<String, Object> map = new HashMap<>();
        map.put("id", deviceBeginnerGuide.getId());
        map.put("title", deviceBeginnerGuide.getTitle());
        map.put("url", deviceBeginnerGuide.getUrl());
        map.put("type", deviceBeginnerGuide.getType());
        map.put("isDel", deviceBeginnerGuide.getIsDel());
        map.put("createTime", deviceBeginnerGuide.getCreateTime());
        map.put("belong", deviceBeginnerGuide.getBelong());
        return map;
    }
}
