package com.fs.watch.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.common.utils.DateUtils;
import com.fs.watch.domain.WatchDeviceDay;
import com.fs.watch.mapper.WatchDeviceDayMapper;
import com.fs.watch.service.WatchDeviceDayService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 每天设备信息汇总Service业务层处理
 *
 * @author fs
 * @date 2025-04-23
 */
@Service
public class WatchDeviceDayServiceImpl extends ServiceImpl<WatchDeviceDayMapper, WatchDeviceDay> implements WatchDeviceDayService {

    /**
     * 查询每天设备信息汇总
     *
     * @param id 每天设备信息汇总主键
     * @return 每天设备信息汇总
     */
    @Override
    public WatchDeviceDay selectWatchDeviceDayById(Long id)
    {
        return baseMapper.selectWatchDeviceDayById(id);
    }

    /**
     * 查询每天设备信息汇总列表
     *
     * @param watchDeviceDay 每天设备信息汇总
     * @return 每天设备信息汇总
     */
    @Override
    public List<WatchDeviceDay> selectWatchDeviceDayList(WatchDeviceDay watchDeviceDay)
    {
        return baseMapper.selectWatchDeviceDayList(watchDeviceDay);
    }

    /**
     * 新增每天设备信息汇总
     *
     * @param watchDeviceDay 每天设备信息汇总
     * @return 结果
     */
    @Override
    public int insertWatchDeviceDay(WatchDeviceDay watchDeviceDay)
    {
        watchDeviceDay.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertWatchDeviceDay(watchDeviceDay);
    }

    /**
     * 修改每天设备信息汇总
     *
     * @param watchDeviceDay 每天设备信息汇总
     * @return 结果
     */
    @Override
    public int updateWatchDeviceDay(WatchDeviceDay watchDeviceDay)
    {
        return baseMapper.updateWatchDeviceDay(watchDeviceDay);
    }

    /**
     * 批量删除每天设备信息汇总
     *
     * @param ids 需要删除的每天设备信息汇总主键
     * @return 结果
     */
    @Override
    public int deleteWatchDeviceDayByIds(Long[] ids)
    {
        return baseMapper.deleteWatchDeviceDayByIds(ids);
    }

    /**
     * 删除每天设备信息汇总信息
     *
     * @param id 每天设备信息汇总主键
     * @return 结果
     */
    @Override
    public int deleteWatchDeviceDayById(Long id)
    {
        return baseMapper.deleteWatchDeviceDayById(id);
    }
}
